# class Tk::Vu::Bargraph

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

get() click to toggle source

    # File lib/tkextlib/vu/bargraph.rb, line 59
    def get()
      num_or_str(tk_call_without_enc(@path, 'get'))
    end

set(val = None) click to toggle source

    # File lib/tkextlib/vu/bargraph.rb, line 54
    def set(val = None)
      tk_call_without_enc(@path, 'set', val)
      self
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source

    # File lib/tkextlib/vu/bargraph.rb, line 27
    def __boolval_optkeys
      ['showminmax', 'showvalue']
    end

__font_optkeys() click to toggle source

    # File lib/tkextlib/vu/bargraph.rb, line 47
    def __font_optkeys
      ['alabfont', 'blabfont']
    end

__listval_optkeys() click to toggle source

    # File lib/tkextlib/vu/bargraph.rb, line 42
    def __listval_optkeys
      ['alabels', 'blabels']
    end

__strval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/vu/bargraph.rb, line 32
    def __strval_optkeys
      super() + [
        'title',
        'barbackground', 'barcolor', 'barcolour',
        'tickcolor', 'tickcolour',
        'textcolor', 'textcolour',
      ]
    end